Get the opportunity matrix
curl --request GET \
--url https://perquery.ai/api/v1/sites/{site_uuid}/opportunities/matrix \
--header 'Authorization: <api-key>'import requests
url = "https://perquery.ai/api/v1/sites/{site_uuid}/opportunities/matrix"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://perquery.ai/api/v1/sites/{site_uuid}/opportunities/matrix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://perquery.ai/api/v1/sites/{site_uuid}/opportunities/matrix",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://perquery.ai/api/v1/sites/{site_uuid}/opportunities/matrix"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://perquery.ai/api/v1/sites/{site_uuid}/opportunities/matrix")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://perquery.ai/api/v1/sites/{site_uuid}/opportunities/matrix")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"rows": [
{
"identity": "<string>",
"type": "technical",
"subject_kind": "site",
"subject_ref": "<string>",
"subject_label": "<string>",
"score": 123,
"effort": 123,
"effort_band": "high",
"tier": "now",
"volume": 123,
"demand_known": true,
"persona": "<string>",
"page": "<string>",
"acted_on_at": "2023-12-25",
"dismissed": true,
"reasons": [
{
"code": "brand_absent",
"identity": "<string>",
"facts": {},
"suggested_tool": "content_brief",
"acted_on_at": "2023-12-25"
}
],
"suggested_tool": "content_brief"
}
],
"omitted": 123
}Opportunities
Get the opportunity matrix
Returns the top opportunities for the priority matrix and the count of opportunities that the matrix does not show. Use date_range to select the period (7g, 1a, 3a, 6a, 1y or custom with since and until). Use llm to limit the data to some AI assistants.
GET
/
v1
/
sites
/
{site_uuid}
/
opportunities
/
matrix
Get the opportunity matrix
curl --request GET \
--url https://perquery.ai/api/v1/sites/{site_uuid}/opportunities/matrix \
--header 'Authorization: <api-key>'import requests
url = "https://perquery.ai/api/v1/sites/{site_uuid}/opportunities/matrix"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://perquery.ai/api/v1/sites/{site_uuid}/opportunities/matrix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://perquery.ai/api/v1/sites/{site_uuid}/opportunities/matrix",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://perquery.ai/api/v1/sites/{site_uuid}/opportunities/matrix"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://perquery.ai/api/v1/sites/{site_uuid}/opportunities/matrix")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://perquery.ai/api/v1/sites/{site_uuid}/opportunities/matrix")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"rows": [
{
"identity": "<string>",
"type": "technical",
"subject_kind": "site",
"subject_ref": "<string>",
"subject_label": "<string>",
"score": 123,
"effort": 123,
"effort_band": "high",
"tier": "now",
"volume": 123,
"demand_known": true,
"persona": "<string>",
"page": "<string>",
"acted_on_at": "2023-12-25",
"dismissed": true,
"reasons": [
{
"code": "brand_absent",
"identity": "<string>",
"facts": {},
"suggested_tool": "content_brief",
"acted_on_at": "2023-12-25"
}
],
"suggested_tool": "content_brief"
}
],
"omitted": 123
}Authorizations
ApiKey pq_<prefix>_<secret>. An API key gives read-only access.
Path Parameters
Query Parameters
7g- 7g1a- 1a3a- 3a6a- 6a1y- 1ycustom- custom
Available options:
7g, 1a, 3a, 6a, 1y, custom Minimum string length:
1chatgpt- chatgptgemini- geminiclaude- claudeperplexity- perplexitygoogleai- googleaigrok- grokdeepseek- deepseek
Available options:
chatgpt, gemini, claude, perplexity, googleai, grok, deepseek The first day of a custom range.
The last day of a custom range.

